import React, { useEffect, useState } from 'react'
import { useSelector } from 'react-redux';
import { getOrderHistory } from '../../util/order_api_util';
import Order from './Order';

import './order-history.css'

const OrderHistory = () => {

    const [orderHistory, setOrderHistory] = useState([]);
    const [callMade, setCallMade] = useState(false);

    const {currentUser} = useSelector(state => state.user);
    
    useEffect( async () => {
        if (callMade || currentUser === null) return;
        const userHistory = await getOrderHistory(currentUser.userId); //insert user id from user details stored in redux 
        setOrderHistory(userHistory);
        setCallMade(true);
    });

    return (
        <main>
            <h1 id="order-history-header">Order History</h1>
            {currentUser === null ? (
                <div>Please login to place orders!</div>
            ) : null}
            <div id="orders">
                {orderHistory.map(order => {
                    return <Order order={order}/>;
                })}
            </div>
        </main>
    )
}

export default OrderHistory;